%global _iconsbasedir %{?_iconsbasedir:%{_datadir}/icons/hicolor}
%global _desktopdir %{?_desktopdir:%{_datadir}/applications}

%global icon_cache_touch %{_bindir}/touch --no-create %{_iconsbasedir} &>/dev/null || :
%global icon_cache_gtk_update %{_bindir}/gtk-update-icon-cache %{_iconsbasedir} &>/dev/null || :

Name:           enki
Version:        15.05.0
Release:        1%{?dist}
Summary:        Text editor for programmers
Group:          Development/Tools

License:        GPLv2
URL:            http://%{name}-editor.org/

Source0:        https://github.com/hlamer/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  PyQt4
BuildRequires:  pyparsing
BuildRequires:  python2-devel >= 2.7
BuildRequires:  python-qutepart >= 2.2.0
BuildRequires:  python-setuptools
Requires:       ctags
Requires:       pyparsing
Requires:       PyQt4
Requires:       python2 >= 2.7
Requires:       python-docutils
Requires:       python-markdown
Requires:       python-qutepart >= 2.2.0
Requires:       python-tre


%description
Enki is a text editor for programmers. It is:

- User friendly. Intuitive interface. Works out of the box. You don’t have
  to read a lot of docs.
- Hacker friendly. Work as quickly as possible. Navigate efficiently without
  your mouse.
- Advanced. You invent software. An editor helps you focus on inventing,
  instead of fighting with your tools.
- Extensible. Operating systems are designed for running applications. Enki
  is designed for running plugins.
- Cross platform. Use your habitual editor on any OS. Tested on Linux and
  Windows. Users report that Enki works Mac OS X.
- High quality. No long list of fancy features. But, what is done, is done
  well.
- Open source. Created, tested, and designed for the community, by the
  community, and with the community.


%prep
%setup0 -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
desktop-file-validate %{buildroot}%{_desktopdir}/%{name}.desktop


%files
%license LICENSE.GPL2
%doc README.md ChangeLog
%{python_sitelib}/%{name}*
%{_iconsbasedir}/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.png
%{_desktopdir}/%{name}.desktop
%{_bindir}/%{name}


%post
%{icon_cache_touch}


%postun
if [ $1 -eq 0 ] ; then
    %{icon_cache_touch}
    %{icon_cache_gtk_update}
fi


%posttrans
%{icon_cache_gtk_update}


%changelog
* Fri Aug 28 2015 Jairo Llopis <yajo.sk8@gmail.com> 15.05.0-1
- New upstream version.

* Thu May 7 2015 Jairo Llopis <yajo.sk8@gmail.com> 14.07.2-7
- New upstream version.
- Updated dependencies.
- Updated description.
- Remove translations.

* Mon Jul 7 2014 Jairo Llopis <yajo.sk8@gmail.com> 14.03.0-6
- New upstream version.
- Fix some macros in the spec file.

* Sun Oct 6 2013 Jairo Llopis <yajo.sk8@gmail.com> 13.09.2-5
- Add dependency to python-docutils.

* Sun Oct 6 2013 Jairo Llopis <yajo.sk8@gmail.com> 13.09.2-4
- New upstream version.

* Sun Sep 8 2013 Jairo Llopis <yajo.sk8@gmail.com> 13.08.1-3
- New upstream version, now based on qutepart.
- Remove patch that has already been merged upstream.

* Tue Jul 16 2013 Jairo Llopis <yajo.sk8@gmail.com> 12.10.3-2
- Declare variables with global.
- Link patch0 to its upstream bug.
- Validate desktop file installation.
- Add icon cache scriptlets.
- Change Source tag for Source0.
- Fix requirements.

* Sat Jul 6 2013 Jairo Llopis <yajo.sk8@gmail.com> 12.10.3-1
- Initial release.
